apply plugin: 'com.android.library'

android {
    compileSdkVersion rootProject.ext.compileSdkVersion
    buildToolsVersion rootProject.ext.buildToolsVersion

    defaultConfig {
        minSdkVersion rootProject.ext.minSdkVersion
        targetSdkVersion rootProject.ext.targetSdkVersion
        testInstrumentationRunner "android.support.test.runner.AndroidJUnitRunner"

        ndk {
            //百度活体 在armeabi平台下性能很差，建议使用armeabi-v7a
            abiFilters 'armeabi' //,'armeabi-v7a'//, 'x86', 'armeabi-v7a', 'x86_64', 'arm64-v8a'
        }
    }
    buildTypes {
        release {
            minifyEnabled false
            proguardFiles getDefaultProguardFile('proguard-android.txt'), 'proguard-rules.pro'
        }
    }

    sourceSets {
        main {
            jniLibs.srcDirs = ['libs']
        }
    }

    repositories {
        flatDir {
            dirs 'libs'
        }
    }
    compileOptions {
        targetCompatibility 1.8
        sourceCompatibility 1.8
    }
}

repositories {
    mavenCentral()
}

dependencies {
    api fileTree(dir: 'libs', include: ['*.jar'])
    testImplementation 'junit:junit:4.12'
    // noinspection GradleCompatible
    androidTestImplementation 'com.android.support.test:runner:1.0.2'
    androidTestImplementation 'com.android.support.test.espresso:espresso-core:3.0.2'
    // multidex
    api 'com.android.support:multidex:1.0.3'

    //support包
    api "com.android.support:appcompat-v7:$rootProject.ext.supportLibraryVersion"
    api "com.android.support:support-v4:$rootProject.ext.supportLibraryVersion"
    api "com.android.support:recyclerview-v7:$rootProject.ext.supportLibraryVersion"

    //walle
    api 'com.meituan.android.walle:library:1.1.6'

    // protobuf
    api "com.google.protobuf:protobuf-java:3.5.1"
    // stream
    api 'com.annimon:stream:1.1.4'

//  api 'me.jessyan:autosize:1.0.6'


    //同盾
    //SDK-TD-START
    api(name: 'android_spirit-20190220-2.0.0.1', ext: 'aar')
    //SDK-TD-END
    api 'com.alibaba:fastjson:1.1.58.android'

    //QMUI
    api 'com.qmuiteam:qmui:1.1.10'

    //Eventbus
    api 'org.greenrobot:eventbus:3.0.0'

    //SmartRefresh
    api 'com.scwang.smartrefresh:SmartRefreshLayout:1.1.0-alpha-14'
    api 'com.scwang.smartrefresh:SmartRefreshHeader:1.1.0-alpha-14'//没有使用特殊Header，可以不加这行

    //Gson
    api 'com.google.code.gson:gson:2.8.2'

    //rxjava
    api 'com.jakewharton.rxbinding2:rxbinding:2.2.0'
    api 'io.reactivex.rxjava2:rxandroid:2.1.0'
    //rxpermissions
    api 'com.github.tbruyelle:rxpermissions:0.10.2'
    //rxLifrCycle
    api 'com.trello.rxlifecycle2:rxlifecycle-components:2.1.0'

    // glide
    api "com.github.bumptech.glide:glide:3.7.0"

    //retrofit
    api 'com.squareup.retrofit2:retrofit:2.4.0'
    api 'com.squareup.retrofit2:converter-gson:2.4.0'
    api 'com.squareup.retrofit2:adapter-rxjava2:2.4.0'

//    firebase core
//    api 'com.google.firebase:firebase-core:16.0.3'
//    firebase cloud message
//    api 'com.google.firebase:firebase-messaging:17.3.2'
    //firebase remoteConfig
//    api 'com.google.firebase:firebase-config:16.0.0'

    api 'com.android.installreferrer:installreferrer:1.0'

    api 'com.google.android.gms:play-services-auth:15.0.1'
    api 'com.google.android.gms:play-services-auth-api-phone:15.0.1'
    api 'com.google.android.gms:play-services-ads:15.0.1'

    //facebook accountKit SDK
    api 'com.facebook.android:account-kit-sdk:4.37.0'

    //SDK-CHANNEL-START
//    //kochava
//    api 'com.kochava.base:tracker:3.6.0'
//    //Optional: Instant App Status Collection
//    api 'com.google.android.instantapps:instantapps:1.1.0'
//    //mixpanel
//    api 'com.mixpanel.android:mixpanel-android:5.+'
    //SDK-CHANNEL-END

    //魔蝎
//    api 'com.moxie:moxie-client-inter:1.1.6.2'

    //facebook SDK
//    api 'com.facebook.android:facebook-android-sdk:[4,5)'

    //AppsFlyer
//    api 'com.appsflyer:af-android-sdk:4+@aar'



    //zendesk
    api group: 'com.zendesk', name: 'support', version: '2.1.1'


}
